<?php
/**
 * Iconic_WW_Compat_Product_Table class
 *
 * @package iconic-woo-wishlists
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use Barn2\Plugin\WC_Product_Table\Data\Abstract_Product_Data,
	Barn2\Plugin\WC_Product_Table\Table_Args;

if ( ! class_exists( 'Barn2\Plugin\WC_Product_Table\Data\Abstract_Product_Data' ) ) {
	return;
}

/**
 * Handles data retrieval for the 'iconic_ww' column in the product table.
 */
class Iconic_WW_Compat_Product_Table extends Abstract_Product_Data {
	/**
	 * Init.
	 */
	public static function run() {
		add_filter( 'wc_product_table_column_defaults', array( __CLASS__, 'show_column' ) );
		add_filter( 'wc_product_table_custom_table_data_iconic_ww', array( __CLASS__, 'get_instance' ), 10, 3 );
	}

	/**
	 * Show Column.
	 *
	 * @param array $columns Columns.
	 *
	 * @return array
	 */
	public static function show_column( $columns ) {
		$columns['iconic_ww'] = array(
			'heading'  => __( 'Wishlist', 'iconic-ww' ),
			'priority' => 2,
		);
		return $columns;
	}

	/**
	 * Get Instance.
	 *
	 * @param object     $obj Object.
	 * @param WC_Product $product Product.
	 * @param Table_Args $table_args Table Args.
	 *
	 * return object.
	 */
	public static function get_instance( $obj, WC_Product $product, Table_Args $table_args ) {
		return new Iconic_WW_Compat_Product_Table( $product );
	}

	/**
	 * Output the column value.
	 */
	public function get_data() {
		ob_start();
		Iconic_WW_Products::add_to_wishlist_button();
		return ob_get_clean();
	}
}
