<?php
/**
 * Add to wishlist button component template
 *
 * @package iconic-woo-wishlists
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $product;

if ( ! $product ) {
	if ( $product_id ) {
		$product_instance = wc_get_product( $product_id );

		if ( $product_instance ) {
			$product = $product_instance;
		}
		else {
			return;
		}
	} else {
		return;
	}
}

$button_type = Iconic_WW_Core_Settings::get_setting( 'buttons_style_add_to_wishlist_type' );

$classes = array(
	'iconic-ww-button',
	'iconic-ww-button--add-to-wishlist',
);

if ( 'button' === $button_type ) {
	$classes[] = 'button';
}

$arguments = array(
	'product_id' => $product->get_id(),
);
?>

<a href="javascript: void( 0 );" data-iconic_ww_action="get_add_to_wishlist_modal" data-iconic_ww_args="<?php echo esc_attr( wp_json_encode( $arguments ) ); ?>" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<?php Iconic_WW_Settings::output_icon( 'add_to_wishlist' ); ?>
	<span class='iconic-ww-button__label'>
	<?php
	// Translators: Wishlist label.
	printf( esc_html__( 'Add to %s', 'iconic-ww' ), esc_html( Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ) );
	?>
	</span>
</a>
