<?php
/**
 * The template for Name row on Edit wishlist Form.
 *
 * @package Iconic_WW
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$name = empty( $wishlist ) ? '' : $wishlist->get( 'post_title' );
?>

<div class="iconic-ww-form__row iconic-ww-form__row--name">
	<label for="iconic-ww-wishlist-title" class="iconic-ww-form__label">
		<?php
			// Translators: Wishlist label.
			printf( esc_html__( '%s Name:', 'iconic-ww' ), esc_html( Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ) );
		?>
	</label>
	<input
		type="text"
		id="iconic-ww-wishlist-title"
		class="iconic-ww-form__field iconic-ww-form__field--text"
		<?php // translators: %s wishlist label. ?>
		placeholder="<?php echo esc_attr( sprintf( __( 'E.g. My %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ) ); ?>" name="iconic_ww_wishlist_name" value="<?php echo esc_attr( $name ); ?>"
	>
</div>
