<?php
/**
 * Form row status component template
 *
 * @package iconic-woo-wishlists
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// If called from "add to wishlist" $wishlists is not set.
if ( ! isset( $wishlist ) ) {
	$wishlist = null;
}

$statuses = Iconic_WW_Wishlists::get_statuses();
$privacy  = empty( $wishlist ) ? 'publish' : $wishlist->get( 'post_status' );
/**
 * Filter wishlist privacy status
 *
 * @param string             $privacy  The post status.
 * @param Iconic_WW_Wishlist $wishlist The wishlist object.
 */
$privacy = apply_filters( 'iconic_ww_wishlist_privacy_status', $privacy, $wishlist );
?>

<div class="iconic-ww-form__row iconic-ww-form__row--status">
	<label for="iconic-ww-wishlist-privacy" class="iconic-ww-form__label">
		<?php
		// Translators: Wishlist label.
		printf( esc_html__( '%s Privacy:', 'iconic-ww' ), esc_html( Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ) );
		?>
	</label>
	<ul id="iconic-ww-wishlist-privacy" class="iconic-ww-form__radios">
		<?php foreach ( $statuses as $value => $_status ) { ?>
			<li>
				<label>
					<input type="radio" name="iconic_ww_wishlist_privacy" value="<?php echo esc_attr( $value ); ?>" <?php checked( $privacy, $value ); ?>>
					<?php echo esc_html( $_status['label'] ); ?>
					<span><?php echo esc_html( $_status['description'] ); ?></span>
				</label>
			</li>
		<?php } ?>
	</ul>
</div>
