<?php
/**
 * Search wishlist component template
 *
 * @package iconic-woo-wishlists
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$search_term = filter_input( INPUT_GET, 'search' ); ?>

<form class="iconic-ww-form iconic-ww-form--inline" action="<?php echo esc_attr( Iconic_WW_Endpoints::get_endpoint_url( 'find' ) ); ?>" method="get">
	<label for="" class="screen-reader-text iconic-ww-form__label"><?php esc_html_e( 'Find a wishlist', 'iconic-ww' ); ?></label>
	<input class="iconic-ww-form__field" type="text" name="search" placeholder="<?php echo esc_attr( __( 'Enter a name or email...', 'iconic-ww' ) ); ?>" value="<?php echo esc_attr( $search_term ); ?>">
	<button type="submit" class="iconic-ww-form__button iconic-ww-button iconic-ww-button--search button">
		<?php Iconic_WW_Settings::output_icon( 'search' ); ?>
		<?php esc_html_e( 'Search', 'iconic-ww' ); ?>
	</button>
</form>
