<?php
/**
 * Wishlist meta component template
 *
 * @package iconic-woo-wishlists
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$post_status = $wishlist->get( 'post_status' );
$json_args   = Iconic_WW_Helpers::get_json_args(
	array(
		'wishlist_id' => $wishlist->get( 'ID' ),
	)
);
?>

<ul class="iconic-ww-wishlist-meta">
	<li class="iconic-ww-wishlist-meta__item"><?php echo wp_kses_post( $wishlist->get( 'privacy' ) ); ?></li>
	<li class="iconic-ww-wishlist-meta__item"><?php echo wp_kses_post( $wishlist->get( 'user' ) ); ?></li>
	<?php if ( 'private' !== $post_status ) { ?>
		<li class="iconic-ww-wishlist-meta__item">
			<a href="javascript: void( 0 );" data-iconic_ww_action="get_share_wishlist_modal" data-iconic_ww_args="<?php echo esc_attr( $json_args ); ?>">
				Share
			</a>
		</li>
	<?php } ?>
	<?php if ( $user->is_author( $wishlist ) ) { ?>
		<li class="iconic-ww-wishlist-meta__item">
			<a href="javascript: void( 0 );" data-iconic_ww_action="get_edit_wishlist_modal" data-iconic_ww_args="<?php echo esc_attr( $json_args ); ?>">
				<?php esc_html_e( 'Edit', 'iconic-ww' ); ?>
			</a>
		</li>
		<li class="iconic-ww-wishlist-meta__item">
			<a href="javascript: void( 0 );" data-iconic_ww_action="get_delete_wishlist_modal" data-iconic_ww_args="<?php echo esc_attr( $json_args ); ?>">
				<?php esc_html_e( 'Delete', 'iconic-ww' ); ?>
			</a>
		</li>
	<?php } ?>
</ul>
